Package org.apache.batchee.tools.maven.doc

## Class DiagramGenerator

- java.lang.Object
- - org.apache.batchee.tools.maven.doc.DiagramGenerator

-     public abstract class DiagramGenerator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `adjust` |
    `protected boolean` | `failIfMissing` |
    `protected String` | `format` |
    `protected int` | `height` |
    `protected String` | `layout` |
    `protected File` | `output` |
    `protected String` | `outputFileName` |
    `protected String` | `path` |
    `protected boolean` | `rotateEdges` |
    `protected boolean` | `view` |
    `protected int` | `width` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DiagramGenerator​(String path, boolean failIfMissing, boolean view, int width, int height, boolean adjust, File output, String format, String outputFileName, boolean rotateEdges, String layout)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |
    `protected abstract void` | `info​(String s)` |
    `protected abstract void` | `warn​(String s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected final String path

    - #### failIfMissing

          protected final boolean failIfMissing

    - #### view

          protected final boolean view

    - #### width

          protected final int width

    - #### height

          protected final int height

    - #### adjust

          protected final boolean adjust

    - #### output

          protected final File output

    - #### format

          protected final String format

    - #### outputFileName

          protected final String outputFileName

    - #### rotateEdges

          protected final boolean rotateEdges

    - #### layout

          protected final String layout

  - ### Constructor Detail

    - #### DiagramGenerator

          public DiagramGenerator​(String path,
                                  boolean failIfMissing,
                                  boolean view,
                                  int width,
                                  int height,
                                  boolean adjust,
                                  File output,
                                  String format,
                                  String outputFileName,
                                  boolean rotateEdges,
                                  String layout)

  - ### Method Detail

    - #### execute

          public void execute()

    - #### warn

          protected abstract void warn​(String s)

    - #### info

          protected abstract void info​(String s)